<section class="container-fluid with-maxwidth chapter">

  <article class="article">
    <div class="row">
      <h2 class="article-title col-12 col-sm-3">
        <span>Proyectos Detalle</span>
        <span *ngIf="proyectoActual !== undefined" class="space"></span>
        <span *ngIf="proyectoActual !== undefined"
          class="badge badge-pill badge-primary">{{proyectoActual.nombre}}</span>
        <span
          *ngIf="proyectoActual !== undefined && proyectoActual.observacion !== undefined && proyectoActual.observacion !== ''"
          class="space"></span>
        <button
          *ngIf="proyectoActual !== undefined && proyectoActual.observacion !== undefined && proyectoActual.observacion !== ''"
          matTooltipPosition="above" matTooltip="Ver Observaciones." mat-icon-button
          (click)="VerObservaciones(proyectoActual.observacion)">
          <mat-icon class="material-icons">visibility</mat-icon>
        </button>
      </h2>
      <div class="col-12 col-sm-2">
        <app-select-proyecto [object]="proyectoActual" idModel="id" placeHolder="PROYECTOS" id="id" desc="nombre"
          (onChange)="proyectoSeleccionado($event)"></app-select-proyecto>
      </div>
      <div class="col-12 col-sm-2">
        <mat-form-field class="full-width">
          <input [(ngModel)]="fDesde" (dateChange)="proyectoOTareaSeleccionados()" class="full-width" matInput
            [matDatepicker]="pickerFDesde" placeholder="Fecha Desde" [formControl]="fDesdeFC">
          <mat-datepicker-toggle matSuffix [for]="pickerFDesde"></mat-datepicker-toggle>
          <mat-datepicker #pickerFDesde></mat-datepicker>
        </mat-form-field>
      </div>
      <div class="col-12 col-sm-2">
        <mat-form-field class="full-width">
          <input [(ngModel)]="fHasta" (dateChange)="proyectoOTareaSeleccionados()" class="full-width" matInput
            [matDatepicker]="pickerFHasta" placeholder="Fecha Hasta" [formControl]="fHastaFC">
          <mat-datepicker-toggle matSuffix [for]="pickerFHasta"></mat-datepicker-toggle>
          <mat-datepicker #pickerFHasta></mat-datepicker>
        </mat-form-field>
      </div>
      <div class="col-6 col-sm-1 full-width text-sm-right text-left">
        <button matTooltipPosition="above" matTooltip="Mes Anterior." [disabled]="loading > 0 || fDesde === null || fDesde === undefined || fHasta === null || fHasta === undefined" (click)="MesAnterior()" mat-icon-button
          color="warn">
          <mat-icon class="material-icons">replay</mat-icon>
        </button>
      </div>
      <div class="col-6 col-sm-1 full-width text-sm-right text-left">
        <button matTooltipPosition="above" matTooltip="Mes Siguiente." [disabled]="loading > 0 || fDesde === null || fDesde === undefined || fHasta === null || fHasta === undefined" (click)="MesSiguiente()" mat-icon-button
          color="accent">
          <mat-icon class="material-icons">replay</mat-icon>
        </button>
      </div>
      <div class="col-12 col-sm-1 full-width text-sm-right text-left">
        <button matTooltipPosition="above" matTooltip="Bajar archivo csv con los datos." [disabled]="loading > 0"
          (click)="Download_CSV()" mat-icon-button color="primary">
          <mat-icon class="material-icons">file_download</mat-icon>
        </button>
      </div>
    </div>

    <div *ngIf="proyectoActual.id" class="row">
      <div *ngFor="let horaPTXC of horasPTXC; trackBy: index;" class="col-xl-4 col-md-6 col-sm-12 col-12">
        <div class="box box-transparent">
          <div class="box-body no-padding-h">
            <div class="box box-default table-box mdl-shadow--2dp table-responsive">
              <table class="mdl-data-table with-maxwidth">
                <thead>
                  <tr>
                    <th class="text-center" colspan="3">
                      {{horaPTXC.tarea.nombre}}
                    </th>
                  </tr>
                  <tr>
                    <th class="mdl-data-table__cell--non-numeric">Cargo</th>
                    <th matTooltip="Horas Estimadas">Estimación</th>
                    <th matTooltip="Horas Cargadas">Real</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let hora of getFilas(horaPTXC.horas);">
                    <td class="mdl-data-table__cell--non-numeric">{{hora.cargo.nombre}}</td>
                    <td>{{hora.cantidadHorasEstimadas | number:'1.0-0'}}</td>
                    <td>{{hora.cantidadHoras | number:'1.0-0'}}</td>
                  </tr>
                </tbody>
                <tfoot>
                  <tr *ngFor="let hora of getTotal(horaPTXC.horas);">
                    <td class="text-rigth">
                      <b>TOTALES</b>
                    </td>
                    <td>{{hora.cantidadHorasEstimadas | number:'1.0-0'}}</td>
                    <td>{{hora.cantidadHoras | number:'1.0-0'}}</td>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row" *ngIf="totales && proyectoActual.id">
      <div class="col-xl-6 col-md-6 col-sm-12 col-12">
        <div class="box box-transparent">
          <div class="box-body no-padding-h">
            <div class="box box-default table-box mdl-shadow--2dp table-responsive">
              <table class="mdl-data-table with-maxwidth">
                <thead>
                  <tr>
                    <th class="text-center" colspan="5">
                      Totales
                    </th>
                  </tr>
                  <tr>
                    <th class="mdl-data-table__cell--non-numeric">Cargo</th>
                    <th matTooltip="Horas Estimadas">Hs. Estimadas</th>
                    <th matTooltip="Precio Estimado">$ Estimado</th>
                    <th matTooltip="Horas Cargadas">Hs. Reales</th>
                    <th matTooltip="Precio Total Real">$ Real</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let hora of getFilas(totales);">
                    <td class="mdl-data-table__cell--non-numeric">{{hora.cargo.nombre}}</td>
                    <td>{{hora.cantidadHorasEstimadas | number:'1.0-0'}}</td>
                    <td>$ {{hora.precioEstimado | number:'1.0-0'}}</td>
                    <td>{{hora.cantidadHoras | number:'1.0-0'}}</td>
                    <td>$ {{hora.precioTotal | number:'1.0-0'}}</td>
                  </tr>
                </tbody>
                <tfoot>
                  <tr *ngFor="let hora of getTotal(totales);">
                    <td class="text-rigth">
                      <b>TOTALES</b>
                    </td>
                    <td>{{hora.cantidadHorasEstimadas | number:'1.0-0'}}</td>
                    <td>$ {{hora.precioEstimado | number:'1.0-0'}}</td>
                    <td>{{hora.cantidadHoras | number:'1.0-0'}}</td>
                    <td>$ {{hora.precioTotal | number:'1.0-0'}}</td>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </article>
</section>